Bug 1869612 - GPG setup of fedora:rawhide prevents package installation
Summary: GPG setup of fedora:rawhide prevents package installation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Container Images
Classification: Fedora
Component: base
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clement Verna
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-18 11:06 UTC by Stanislav Levin
Modified: 2020-10-28 08:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-28 08:10:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Stanislav Levin 2020-08-18 11:06:52 UTC
Description of problem:

The GPG key configuration on the fedora:rawhide (docker hub) image does not match what is in the rawhide repository.

Version-Release number of selected component (if applicable):
fedora rawhide e6ff04a4b8bd 5 weeks ago 185MB

Steps to Reproduce:
$ docker run --rm fedora:rawhide dnf install -y make

Actual results:

$ docker run --rm fedora:rawhide dnf install -y make
Fedora 33 openh264 (From Cisco) - x86_64        756  B/s | 5.1 kB     00:06    
Fedora - Modular Rawhide - Developmental packag 145 kB/s | 961 kB     00:06    
Fedora - Rawhide - Developmental packages for t 2.9 MB/s |  73 MB     00:25    
Dependencies resolved.
================================================================================
 Package             Architecture  Version                 Repository      Size
================================================================================
Installing:
 make                x86_64        1:4.3-2.fc33            rawhide        539 k
Installing dependencies:
 gc                  x86_64        8.0.4-4.fc33            rawhide        104 k
 guile22             x86_64        2.2.6-5.fc33            rawhide        6.6 M
 libtool-ltdl        x86_64        2.4.6-36.fc33           rawhide         36 k

Transaction Summary
================================================================================
Install  4 Packages

Total download size: 7.3 M
Installed size: 46 M
Downloading Packages:
(1/4): libtool-ltdl-2.4.6-36.fc33.x86_64.rpm    7.3 kB/s |  36 kB     00:05    
(2/4): gc-8.0.4-4.fc33.x86_64.rpm                21 kB/s | 104 kB     00:05    
(3/4): make-4.3-2.fc33.x86_64.rpm               2.1 MB/s | 539 kB     00:00    
(4/4): guile22-2.2.6-5.fc33.x86_64.rpm          984 kB/s | 6.6 MB     00:06    
--------------------------------------------------------------------------------
Total                                           955 kB/s | 7.3 MB     00:07
warning: /var/cache/dnf/rawhide-2d95c80a1fa0a67d/packages/gc-8.0.4-4.fc33.x86_64.rpm: Header V4 RSA/SHA256 Signature, key ID 45719a39: NOKEY
Fedora - Rawhide - Developmental packages for t 1.6 MB/s | 1.6 kB     00:00    
GPG key at file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-33-x86_64 (0x9570FF31) is already installed
The GPG keys listed for the "Fedora - Rawhide - Developmental packages for the next Fedora release" repository are already installed but they are not correct for this package.
Check that the correct key URLs are configured for this repository.. Failing package is: gc-8.0.4-4.fc33.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-33-x86_64
Public key for guile22-2.2.6-5.fc33.x86_64.rpm is not installed. Failing package is: guile22-2.2.6-5.fc33.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-33-x86_64
Public key for libtool-ltdl-2.4.6-36.fc33.x86_64.rpm is not installed. Failing package is: libtool-ltdl-2.4.6-36.fc33.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-33-x86_64
Public key for make-4.3-2.fc33.x86_64.rpm is not installed. Failing package is: make-1:4.3-2.fc33.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-33-x86_64
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: GPG check FAILED


Expected results:
Installation should pass.

Additional info:
registry.fedoraproject.org/fedora:rawhide image works.

Comment 1 Clement Verna 2020-08-24 12:47:23 UTC
Tracked upstream https://github.com/fedora-cloud/docker-brew-fedora/issues/75

Comment 2 Jan Pazdziora 2020-10-28 06:00:14 UTC
The upstream issue has been closed and things seem to work:

# docker run --rm fedora:rawhide dnf install -y make
Unable to find image 'fedora:rawhide' locally
rawhide: Pulling from library/fedora
aaf15a454f9b: Pull complete 
Digest: sha256:d74130c1686adaa28455730cf1a578f516275654d07531f5fbb626335ba63522
Status: Downloaded newer image for fedora:rawhide
Fedora 34 openh264 (From Cisco) - x86_64        1.7 kB/s | 2.5 kB     00:01    
Fedora - Modular Rawhide - Developmental packag 3.6 MB/s | 3.6 MB     00:01    
Fedora - Rawhide - Developmental packages for t 4.7 MB/s |  74 MB     00:15    
Dependencies resolved.
================================================================================
 Package             Architecture  Version                 Repository      Size
================================================================================
Installing:
 make                x86_64        1:4.3-2.fc33            rawhide        539 k
Installing dependencies:
 gc                  x86_64        8.0.4-4.fc33            rawhide        104 k
 guile22             x86_64        2.2.6-6.fc34            rawhide        6.6 M
 libtool-ltdl        x86_64        2.4.6-36.fc33           rawhide         36 k

Transaction Summary
================================================================================
Install  4 Packages

Total download size: 7.3 M
Installed size: 46 M
Downloading Packages:
(1/4): libtool-ltdl-2.4.6-36.fc33.x86_64.rpm    429 kB/s |  36 kB     00:00    
(2/4): gc-8.0.4-4.fc33.x86_64.rpm               398 kB/s | 104 kB     00:00    
(3/4): make-4.3-2.fc33.x86_64.rpm               2.2 MB/s | 539 kB     00:00    
(4/4): guile22-2.2.6-6.fc34.x86_64.rpm          4.2 MB/s | 6.6 MB     00:01    
--------------------------------------------------------------------------------
Total                                           3.3 MB/s | 7.3 MB     00:02     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                        1/1 
  Installing       : libtool-ltdl-2.4.6-36.fc33.x86_64                      1/4 
  Installing       : gc-8.0.4-4.fc33.x86_64                                 2/4 
  Installing       : guile22-2.2.6-6.fc34.x86_64                            3/4 
  Installing       : make-1:4.3-2.fc33.x86_64                               4/4 
  Running scriptlet: make-1:4.3-2.fc33.x86_64                               4/4 
  Verifying        : gc-8.0.4-4.fc33.x86_64                                 1/4 
  Verifying        : guile22-2.2.6-6.fc34.x86_64                            2/4 
  Verifying        : libtool-ltdl-2.4.6-36.fc33.x86_64                      3/4 
  Verifying        : make-1:4.3-2.fc33.x86_64                               4/4 

Installed:
  gc-8.0.4-4.fc33.x86_64                    guile22-2.2.6-6.fc34.x86_64        
  libtool-ltdl-2.4.6-36.fc33.x86_64         make-1:4.3-2.fc33.x86_64           

Complete!

Maybe this can be CLOSED resolved?

Comment 3 Clement Verna 2020-10-28 08:10:01 UTC
+1 Closing thanks

Comment 4 Stanislav Levin 2020-10-28 08:29:51 UTC
Yes, it works.
Thank you!


Note You need to log in before you can comment on or make changes to this bug.